if ENV["CODECLIMATE_REPO_TOKEN"]
  require "simplecov"
  SimpleCov.start
end

require "jsontest"

RSpec.configure do |config|
  config.before do
    JsonTest.reset
  end

  config.expect_with :rspec do |c|
    c.syntax = [:should, :expect]
  end
  config.mock_with :rspec do |c|
    c.syntax = [:should, :expect]
  end
end

def files_path
  File.expand_path("../support/files", __FILE__)
end
